Security Questions: ShellShock Bash and Heartbleed

Non Software / Product related discussions
Post Reply
andrew
Posts: 6
Joined: Thu Sep 25, 2014 2:49 pm

Security Questions: ShellShock Bash and Heartbleed

Post by andrew » Thu Sep 25, 2014 7:17 pm

Does OPI contain either the ShellShock Bash vulnerability (see: http://securitywatch.pcmag.com/internet ... -computers) or the Heartbleed bug (see: http://heartbleed.com/)?

Thanks,
Andrew

P.S. I am eagerly looking forward to receiving my OPI soon!

User avatar
tor
Posts: 103
Joined: Thu Aug 14, 2014 3:42 am
Contact:

Post by tor » Thu Sep 25, 2014 7:39 pm

Hi Andrew,

OPI does unfortunately indeed currently have a Bash version that is vulnerable for ShellShock.

The upgrade is in the pipeline and will be distributed shortly. I will update this topic when we have released the bash upgrade.

Regarding Heartbleed, this should be no issue since this is patched on Ubuntu since quite some time.

/Tor

User avatar
tor
Posts: 103
Joined: Thu Aug 14, 2014 3:42 am
Contact:

Post by tor » Mon Sep 29, 2014 6:33 am

Just a follow up here.

We just pulled the Ubuntu updates on bash into our stable repositories. This means that all OPIs that have updates enabled should get this update shortly (~24h)

/Tor

Post Reply